http://qs321.pair.com?node_id=961516

sg has asked for the wisdom of the Perl Monks concerning the following question:

Hello,

I have code that has been working properly for years on perl 5.12 (and prior versions) -- but 32 bit version on 32 bit Windows XP.

I would like to use them with perl 5.12 64 bit on 64 bit Windows 7, but am unable to find the suitable replacements for some modules, such as:

Net/POP3/SSL.pm IO/Socket/SSL.pm Net/SSLeay.pm Net/SMTP/SSL.pm

I am not even sure if the sources for the above can be built for 64 bit Windows 7 -- in which case my perl sources would need to be re-written to use a different set of packages (assuming suitable replacement packages exist).

Any advice? (I am OK with jumping from 5.12 32 bit to 5.14 64 bit, skipping 5.12 64 bit, if that would help.)

PS: the code that has worked for years and continues to work on 32 bit systems is the vim based mail suite here.

Thanks,

--sg